# Project goal
In V8, Dataiku released [compute resource usage reporting logs](https://doc.dataiku.com/dss/8.0/release_notes/8.0.html#compute-resource-usage-reporting) that enables the monitoring of the resource down to the project and job level. This project has the goal to **help you leverage those compute resource usage logs to understand which user or project is consuming the most resources**. 



# Project value
The project answers several needs, among which: 

## Reliability of services / Capacity planning
This project analyzes the logs to help understand what project/user/activity consumes resources during peak RAM/CPU usage. The end goal is to optimize the computation to make sure the platform is deployed on the right machine (CPU/RAM) or with the right sizing of Kubernetes clusters. 


## Cost Reduction (Finops) / Green AI
This project also analyzes the duration of the computations and the RAM consumption over time in order to monitor costs, whether financial or environmental.